/* pageroute.h:
 *
 * jim frost 11.10.97
 *
 * Copyright (C) 1997 Art Technology Group, Inc.
 * All Rights Reserved.  No use, copying or distribution of this
 * work may be made except in accordance with a valid license
 * agreement from Art Technology Group.  This notice must be
 * included on all copies, modifications and derivatives of this
 * work.
 */

/* Adds another statically routed page to the table.
 */
int addStaticallyRoutedPage(const char* pageUrl);

/* Adds a list of URLs (comma-delimited) to the statically routed page table.
 */
int addStaticallyRoutedPageList(const char* pageList);

/* Clears the statically routed page table.
 */
void clearStaticallyRoutedPages(void);

/* Computes a hash value for a string using a 32-bit CRC.
 */
int getStringHashValue(const char* url);

/* Returns true if the URL is found in the statically routed page table.
 */
int isStaticallyRoutedPage(const char* url);
